Update ban
curl --request PATCH \
--url https://api.lumonol.co.uk/ankra/update-ban \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.lumonol.co.uk/ankra/update-ban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/update-ban"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ban_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"banned_by_username": "<string>",
"ban_reason": "<string>",
"source": "<string>",
"ban_type": "permanent",
"duration_seconds": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Bans
Update ban
Change a ban’s reasons or is_active (id).
PATCH
/
update-ban
Update ban
curl --request PATCH \
--url https://api.lumonol.co.uk/ankra/update-ban \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.lumonol.co.uk/ankra/update-ban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/update-ban"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ban_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"banned_by_username": "<string>",
"ban_reason": "<string>",
"source": "<string>",
"ban_type": "permanent",
"duration_seconds": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json

